As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 712554 - Remove MSVC6 support from Cairo Readme
: Remove MSVC6 support from Cairo Readme
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: mozilla13
Assigned To: pallavi
:
: Milan Sreckovic [:milan]
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: 508760
  Show dependency treegraph
 
Reported: 2011-12-20 22:26 PST by Serge Gautherie (:sgautherie)
Modified: 2012-03-12 06:43 PDT (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
The reference line to MSVC6 has been removed (404 bytes, patch)
2012-03-08 03:36 PST, pallavi
jmuizelaar: review+
Details | Diff | Splinter Review
patch5 (663 bytes, patch)
2012-03-09 23:23 PST, pallavi
no flags Details | Diff | Splinter Review

Description User image Serge Gautherie (:sgautherie) 2011-12-20 22:26:28 PST
{
/gfx/cairo/README
    * line 15 -- VC6 is not supported. Please upgrade to VC8.
}

If I'm not mistaken, VC8 is (now) the lowest supported version in m-c anyway.
Comment 1 User image Benoit Girard (:BenWa) 2012-01-20 13:24:12 PST
I don't understand this bug. README says VC6 is not supported which is true. Do you just want the reference removed?
Comment 2 User image Serge Gautherie (:sgautherie) 2012-01-20 17:21:22 PST
(In reply to Benoit Girard (:BenWa) from comment #1)
> Do you just want the reference removed?

Yes, I think this sentence doesn't have much value now.
Comment 3 User image pallavi 2012-03-08 03:36:07 PST
Created attachment 604005 [details] [diff] [review]
The reference line to MSVC6 has been removed
Comment 4 User image Serge Gautherie (:sgautherie) 2012-03-09 19:00:53 PST
Please attach a patch according to
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F
Comment 5 User image pallavi 2012-03-09 23:23:29 PST
Created attachment 604613 [details] [diff] [review]
patch5
Comment 6 User image pallavi 2012-03-09 23:45:24 PST
(In reply to Serge Gautherie (:sgautherie) from comment #4)
> Please attach a patch according to
> https://developer.mozilla.org/en/
> Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-
> in_for_me.3F

I made the patch according to the described formate,but while attaching it there was no option for requestee so its coming without flag is it fine?
Comment 7 User image Serge Gautherie (:sgautherie) 2012-03-10 07:08:33 PST
(In reply to pallavi from comment #6)

> I made the patch according to the described formate,but while attaching it

No, it still misses author and description.

> there was no option for requestee so its coming without flag is it fine?

See
https://developer.mozilla.org/En/Developer_Guide/How_to_Submit_a_Patch#Committing_the_patch
Comment 8 User image Benoit Girard (:BenWa) 2012-03-10 10:16:21 PST
I tried to guess the field from your email, I hope I got it right.

Congrats on your first check-in, it should be in the main branch within a 24 hours:
https://hg.mozilla.org/integration/mozilla-inbound/rev/5bb28e575749
Comment 9 User image pallavi 2012-03-10 22:32:41 PST
thank you :),but according to comment 7 it was missing some criteria right?
Comment 10 User image Benoit Girard (:BenWa) 2012-03-10 22:46:58 PST
It was just referring to a description and author field for the commit. The only way I know how to do this is mercurial queues but no need to use it until you start building more complex changesets.

https://developer.mozilla.org/en/Mercurial_Queues
Comment 11 User image Daniel Holbert [:dholbert] 2012-03-11 19:51:25 PDT
https://hg.mozilla.org/mozilla-central/rev/5bb28e575749
Comment 12 User image Serge Gautherie (:sgautherie) 2012-03-12 06:43:56 PDT
V.Fixed, per MXR search.


(In reply to Benoit Girard (:BenWa) from comment #10)
> It was just referring to a description and author field for the commit. The
> only way I know how to do this is mercurial queues but no need to use it
> until you start building more complex changesets.

Ftr, mq is quite easy to use.
And patches can always be manually edited.

Note You need to log in before you can comment on or make changes to this bug.